package com.jeeplus.test.cw.projectReport.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-项目报告-签章流程表
 * @TableName cw_project_report_signature
 */
@Data
@TableName("cw_project_report_signature")
public class CwProjectReportSignature extends BaseEntity {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 报告id
     */
    private String reportId;

    /**
     * 签章类型：1公章  2公章+执业章
     */
    private String type;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 状态
     */
    private String status;

    /**
     * 
     */
    private String processDefinitionId;

    private static final long serialVersionUID = 1L;

    /**
     * 签字注师1签章状态
     */
    private String signatureAnnotator1Status;

    /**
     * 签字注师2签章状态
     */
    private String signatureAnnotator2Status;

    /**
     * 盖章管理人签章状态
     */
    private String sealAdminStatus;
}