package com.jeeplus.flowable.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.flowable.model.MyNoticeList;
import org.apache.ibatis.annotations.Param;

public interface MyNoticeListMapper extends BaseMapper<MyNoticeList> {

    void readAll(@Param("name") String name);

    /**
     * 查询通知信息
     *
     * @param myNotice
     * @return
     */
    public IPage<MyNoticeList> selectPage(Page<MyNoticeList> page, @Param("myNotice") MyNoticeList myNotice);

}
