package com.jeeplus.flowable.model;

import cn.hutool.core.util.StrUtil;
import com.jeeplus.flowable.constant.FlowableConstant;
import com.jeeplus.flowable.vo.ActionType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * act_ru_task 表数据
 */
@Data
public class ActRuTaskInfo implements Serializable {

    private String id;
    private Integer rev;
    private String executionId;
    private String procInstId;
    private String procDefId;
    private String taskDefId;
    private String scopeId;
    private String subScopeId;
    private String scopeType;
    private String scopeDefinitionId;
    private String name;
    private String parentTaskId;
    private String description;
    private String taskDefKey;
    private String owner;
    private String assignee;
    private String delegation;
    private Integer priority;
    private Date createTime;
    private Date dueDate;
    private String category;
    private Integer suspensionState;
    private String tenantId;
    private String formKey;
    private Date claimTime;
    private Integer isCountEnabled;
    private Integer varCount;
    private Integer idLinkCount;
    private Integer subTaskCount;
}
